/*  Copyright Daryl Gray 2000 email daryl.g@visto.com
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif


#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>

#include <gnome.h>

#include "about.h"
#include "support.h"
#include "gefax.h"

static GtkWidget *about_gefax = NULL;
static void on_about_die(GtkWidget *W, gpointer user_data);

void create_about_gefax(void)
{
	const gchar *authors[] = {
		"Daryl Gray",
		"daryl.g@visto.com",
		NULL
	};
	
	if(about_gefax){
		gdk_window_raise(about_gefax->window);
		return;
	}
	
	about_gefax = gnome_about_new ("gefax", VERSION,
		_("Copyright (C) 2000  Daryl Gray"),
		authors,
		_("gefax is a gnome gui for Efax(C) by Ed Casas\n"
		"Please E-mail the author if you find a bug \n \n"
		"This program is distributed in the hope that it will be useful, "
		"but WITHOUT ANY WARRANTY; without even the "
		"implied warranty of MERCHANTABILITY or FITNESS "
		"FOR A PARTICULAR PURPOSE.  See the GNU General "
		"Public License for more details."),GEFAX_ICON_LOGO);
	gtk_widget_show(about_gefax);
	gtk_signal_connect (GTK_OBJECT (about_gefax), "close",
				GTK_SIGNAL_FUNC (on_about_die), NULL);
  return;
}

void on_about_die(GtkWidget *W, gpointer user_data)
{
	gtk_object_destroy(GTK_OBJECT(W));
	about_gefax = NULL;
} 


/*end*/





