/*  Copyright Daryl Gray 2000 email daryl.g@visto.com
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/****************************************************
 *
 *	Build the gui part of the address book
 *
 ****************************************************/

void
create_address_book				(void);

/****************************************************
 *
 *	Destroy the gui part of the address book
 *
 ****************************************************/

void
remove_address_book				(void);

/****************************************************
 *
 *	Read address book config and load arress book
 *	from file. MUST be called first!
 *	Only used when app is starting up
 *
 ****************************************************/

void
address_book_load_config			(void);


/****************************************************
 *
 *	Save the address book file if "save_address_book"
 *	Save address book config & free data
 *	Only used when app is shutting down
 *
 ****************************************************/

void
address_book_save_yourself			(gboolean		save_address_book);

/****************************************************
 *
 *	Return a COPY of the address book (GList)
 *	Must free the return with g_list_free ();
 *
 ****************************************************/

GList
*address_book_get_AddressList			(void);

/****************************************************
 *
 *	This does not work yet
 *	It will adjust the column widths & e_paned dimensions
 *	according to the changed width of the shortcuts bar
 *
 ****************************************************/

void
address_book_adjust_your_dimensions		(gboolean		shortcuts_state,
						gint			width);

