/*  Copyright Daryl Gray 2000 email daryl.g@visto.com
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */



#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif


#include <gnome.h>

#include "gefax.h"
#include "appbar.h"

static GtkWidget *appbar;
static GtkProgress *pgress;

static gint timer;			/*status bar timer*/

/*
 *Makes Progess bar move back and forth
*/
static gint progress_timeout (gpointer pgress);
#ifdef UNDEF
static gint do_cool_message(gpointer data);
#endif UNDEF
void create_appbar(void)
{

	appbar = gnome_appbar_new (TRUE, TRUE, GNOME_PREFERENCES_NEVER);
	gtk_widget_ref (appbar);
	gtk_object_set_data_full (GTK_OBJECT (gefax), "appbar", appbar,
                            (GtkDestroyNotify) gtk_widget_unref);
	gtk_widget_show (appbar);
	gnome_app_set_statusbar (GNOME_APP (gefax), appbar);
	pgress = gnome_appbar_get_progress (GNOME_APPBAR(appbar));
	/*Do a cool message*/
	cool_status_msg();
	return;
}

void static_status_msg(gchar *msg)
{	
	gnome_appbar_set_status  (GNOME_APPBAR(appbar), msg);
	return;
}

void cool_status_msg(void)
{
#ifdef UNDEF
	gint cool_timer;
	
	cool_timer = gtk_timeout_add(20,do_cool_message,NULL);
#endif UNDEF
	static_status_msg("http://www.angelfire.com/linux/sfax/index.html");
	return;
}
/*Not Used*/
#ifdef UNDEF
gint do_cool_message(gpointer data)
{
	static gchar *old_msg = NULL;
	gchar *new_msg;
	gint i;
	
	if (!old_msg) old_msg = g_strdup("                                                                    <- http://www.angelfire.com/linux/gefax/index.html");
	if(strlen(old_msg) < 48){
		g_free(old_msg);
		old_msg = NULL;
		return FALSE;
	}
	new_msg = g_malloc(strlen(old_msg));
	for (i = 0; i < strlen(old_msg); i++){
		new_msg[i] = old_msg[i+1];
	}
	static_status_msg(new_msg);
	g_free(old_msg);
	old_msg = g_strdup(new_msg);
	g_free(new_msg);
	
	
	return TRUE;	
}

#endif UNDEF
void reset_progress(void)
{
	if(timer){
		gtk_timeout_remove (timer);
		gtk_progress_bar_set_orientation (GTK_PROGRESS_BAR(pgress),
								 GTK_PROGRESS_LEFT_TO_RIGHT);
		gtk_progress_set_activity_mode (GTK_PROGRESS(pgress), FALSE);
		gtk_progress_set_value(GTK_PROGRESS(pgress) , 0);
	}
}

void start_progress_motion(gint speed, gboolean mode)
{
	gtk_progress_set_activity_mode (GTK_PROGRESS(pgress), mode);
	timer = gtk_timeout_add (speed, progress_timeout,pgress);
}

gint	progress_timeout(gpointer pgress)
{
	gint p_bar_val = 0;
	static gboolean or = FALSE;

	p_bar_val = gtk_progress_get_value(GTK_PROGRESS(pgress) );
	if ((p_bar_val > 98) && (or == FALSE)){
		or = TRUE;
		p_bar_val = 0;
		gtk_progress_bar_set_orientation (GTK_PROGRESS_BAR(pgress),
									GTK_PROGRESS_RIGHT_TO_LEFT);
	}
	if ((p_bar_val > 98) && (or == TRUE)){
		or = FALSE;
		p_bar_val = 0;
		gtk_progress_bar_set_orientation (GTK_PROGRESS_BAR(pgress),
									GTK_PROGRESS_LEFT_TO_RIGHT);
	}

	++p_bar_val;
	gtk_progress_set_value(GTK_PROGRESS(pgress) , p_bar_val);
	return (TRUE);
}

void set_action_cursor(void)
{
	GdkCursor* cursor;
	
	cursor = gdk_cursor_new(GDK_WATCH);
	gdk_window_set_cursor(gefax->window, cursor);
	gdk_cursor_destroy(cursor);
	
}

void reset_cursor(void)
{
/*	GdkCursor* cursor;
	cursor = gdk_cursor_new(GDK_LEFT_PTR);*/
	gdk_window_set_cursor(gefax->window, NULL);
/*	gdk_cursor_destroy(cursor);*/
	return;
}

/*end*/





