/*  Copyright Daryl Gray 2000 email daryl.g@visto.com
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#define UNSELECT	" "


/*******************************************************************
 *
 *	contains all info needed on all files in clist
 *
 *******************************************************************/
struct 	FileList{
	gchar	*select;				/*" " if not selected "X" if yes - needs to be gint for file order*/
	gchar	*file;				/*filename*/
	gchar	*mtype;				/*mimie type*/
	gchar	*program;				/*program or switch for efix to convert to tiffg3 - could do away with this and look it up*/
	struct	FileList *next_ptr;		/*pointer to the next element*/
};
struct FileList *fst_ptr;			/*always points to first element*/


struct 	PhoneNumber{				/*list of phone numbers to send fax*/
	gchar	*phone;				/*Phone number*/
	gchar	*person;				/*who the number belongs to*/
	struct	PhoneNumber *next_ptr;	/*pointer to the next element*/
};
struct PhoneNumber *phone_fst_ptr;


gint no_phone_nums;			/*Keep track of no of phone numbers*/
gint no_clist_rows;



/****************************************************
 *
 *	Create and destroy file browser
 *
 ****************************************************/
void remove_file_browser(void);
void create_file_browser(void);
void browser_adjust_your_dimensions(gboolean shortcuts_state, gint width);

/*startup and load files*/
void load_clist_fax(void);
void load_clist_nums(void);
void load_dir(void);

 /*toolbar and menu callbacks*/
void on_btn_select_all_clicked(GtkButton *button, gpointer data);
void on_btn_clear_all_clicked(GtkButton *button, gpointer data);
void on_btn_move_to_trash_clicked (GtkButton *button, gpointer user_data);
void on_btn_get_from_trash_clicked(GtkButton *button, gpointer user_data);
void on_btn_delete_trash_clicked(GtkButton *button, gpointer user_data);
void on_btn_up_clicked(GtkMenuItem *menuitem, gpointer user_data);
void on_btn_down_clicked(GtkMenuItem *menuitem, gpointer user_data);
void on_btn_last_clicked(GtkMenuItem *menuitem, gpointer  user_data);
void on_btn_first_clicked(GtkButton *button, gpointer user_data);
void on_btn_set_nums_clicked(GtkButton *button, gpointer  user_data);
void free_FileList(void);

/*******************************************************************
 *
 *	Adds phone number to struct phone
 *	Returns 1 on sucess 0 if not
 *
 *******************************************************************/
gint add_phone(gchar *number, gchar *person);

/*******************************************************************
 *
 *	Removes given phone number from stuct phone
 *	Returns 1 on sucess 0 if not
 *
 *******************************************************************/
gint remove_phone(gchar *number);


gint has_phone_num(gchar *phone_num);



/*end*/







