/*  Copyright Daryl Gray 2000 email daryl.g@visto.com
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*component being viewed*/
#define BROWSER_ON 	0		/**/
#define HISTORY_ON 	1		/**/
#define VIEWER_ON 	2		/**/
#define CONTACTS_ON	3		/**/

/*adjust menus and toolbar accordingly*/
#define SEND_A 		0		/*Sending fax*/
#define RECEIVE_A 	1		/*Receiving fax*/
#define POLL_A 		2		/*Polling fax*/
#define PREVIEW_A 	3		/*Preview fax*/
#define HISTORY_A	4		/*View History*/


/*what to do with received signals - assigned to cont_ex*/
#define NONE 		0		/*do nothing*/
#define SENDING 	1		/*sending a fax*/
#define RECEIVING 	2	 	/*receiving (phone already picked up)*/
#define WAIT 		3		/*waiting for only 1 fax*/
#define WAIT_M 		4		/*waiting for many faxes*/
#define POLLING 	5		/*polling a fax*/
#define EFIX_C 		6		/*creating pages with efix*/
#define GS_C 		7		/*creating pages with gs*/
#define EXIT_NOW	8		/*waiting to exit the program*/

/*splash screen timeout after gefax shows*/
#define GEFAX_SPLASH_TIMEOUT	1500

/****************************************************
 *
 *	Icons
 *
 ****************************************************/

/*Logo*/
#define GEFAX_ICON_LOGO			"gefax/Gefax_Logo.png"

/*Splash pmap*/
#define GEFAX_ICON_SPLASH		"gefax/Gefax_Splash.xpm"

/*Shortcuts Toolbar*/
#define GEFAX_ICON_SHORTCUTS_FAX	"/usr/share/pixmaps/gefax/Shortcuts_Fax.png"
#define GEFAX_ICON_SHORTCUTS_HISTORY	"/usr/share/pixmaps/gefax/Shortcuts_History.png"
#define GEFAX_ICON_SHORTCUTS_CONTACTS	"/usr/share/pixmaps/gefax/Shortcuts_Contacts.png"

/*Browser Toolbar - Need to add send, receive & poll icons **FIX** */
#define GEFAX_ICON_BROWSER_TOOL_NUMBERS	"gefax/Browser_Number.xpm"
#define GEFAX_ICON_BROWSER_TOOL_SELECT	"gefax/Browser_Select.xpm"

/*Browser Columned List Select Icon*/
#define GEFAX_ICON_BROWSER_CLIST_SELECT	"gefax/Browser_Select_Clist.xpm"

/*Browser Menu - Need to add send, receive & poll icons **FIX** */
#define GEFAX_ICON_BROWSER_MENU_NUMBERS	"gefax/Browser_Number_Menu.xpm"
#define GEFAX_ICON_BROWSER_MENU_SELECT	"gefax/Browser_Select_Menu.xpm"

/*Viewer Toolbar*/
#define GEFAX_ICON_VIEWER_TOOL_INCREASE	"gefax/Viewer_Increase.xpm"
#define GEFAX_ICON_VIEWER_TOOL_DECREASE	"gefax/Viewer_Decrease.xpm"
#define GEFAX_ICON_VIEWER_TOOL_FULL	"gefax/Viewer_Full.xpm"
#define GEFAX_ICON_VIEWER_TOOL_DEFAULT	"gefax/Viewer_Fit.xpm"

/*Viewer Menu*/
#define GEFAX_ICON_VIEWER_MENU_INCREASE	"gefax/Viewer_Increase_Menu.xpm"
#define GEFAX_ICON_VIEWER_MENU_DECREASE	"gefax/Viewer_Decrease_Menu.xpm"
#define GEFAX_ICON_VIEWER_MENU_FULL	"gefax/Viewer_Full_Menu.xpm"
#define GEFAX_ICON_VIEWER_MENU_DEFAULT	"gefax/Viewer_Fit_Menu.xpm"

/*viewer default image*/
#define GEFAX_ICON_VIEWER_OOPS		"/usr/share/pixmaps/gefax/Viewer_Ooops.png"

/*Address Book Dialog	24x24*/
#define GEFAX_ICON_ADDR_DIAG_IDENTITY	"gefax/Contacts_Identity.png"
#define GEFAX_ICON_ADDR_DIAG_ADDRESS	"gefax/Contacts_Address.png"
#define GEFAX_ICON_ADDR_DIAG_PHONE	"gefax/Contacts_Phone.png"
#define GEFAX_ICON_ADDR_DIAG_NETWORK	"gefax/Contacts_Network.png"

/****************************************************
 *
 *	Files
 *
 ****************************************************/

/*Mime config file*/
#define GEFAX_FILE_MIME			"/usr/share/gefax/gefaxmime.conf"

/*Font file for Efix*/
#define GEFAX_FILE_FONT			"/usr/share/gefax/font/text.font"

/*RC file for Shortcuts Toolbar*/
#define GEFAX_FILE_RC			"/usr/share/gefax/gefaxrc"

#define GEFAX_ADDRESS_VIEW_SECTION_FONT	"-cronyx-fixed-bold-r-normal-*-*-120-*-*-c-*-koi8-r,-biznet-fixed-medium-r-normal-*-*-120-*-*-c-*-iso8859-2,-elot-fixed-bold-r-normal-*-*-130-*-*-c-*-iso8859-7,*"
#define GEFAX_ADDRESS_VIEW_FIXED_FONT	"-adobe-helvetica-medium-r-*-*-12-*-*-*-p-*-*-*,-cronyx-helvetica-medium-r-normal-*-14-*-*-*-p-*-koi8-r,-*-*-medium-r-*-*-12-*-*-*-*-*-ksc5601.1987-0,*"
#define GEFAX_ADDRESS_VIEW_HEADER_FONT	"-adobe-helvetica-medium-r-normal-*-18-*-*-*-p-*-*-*,-cronyx-helvetica-medium-r-normal-*-20-*-*-*-p-*-koi8-r,-*-*-medium-r-normal-*-18-*-*-*-*-*-ksc5601.1987-0,*"


/****************************************************
 *
 *	Main Window
 *
 ****************************************************/

GtkWidget *gefax;
GtkWidget *toolbar_dock;

/****************************************************
 *
 *	Config variables
 *
 ****************************************************/
 
struct{
	gchar	*dev;
	gchar	*locktype;
	gchar	*lock;
	gchar	*header;
	gchar	*log;
	gchar	*mclass;
	gchar	*xonxoff;
	gchar	*cmddelay;
	gchar 	*init;
	gchar	*vol;
	gchar	*caps;
	gchar	*ident;
	gchar	*reset;
	gchar	*prefix;
	gint	usecover;
	gchar	*cover;
}EfaxArgs;

struct{
	gboolean	do_wrap;
	gint		line_len;
	gint		tab_len;
}TextWrapArgs;

struct{
	gchar	*paper;
}GsArgs;

struct{
	gfloat		page_width;
	gfloat		page_height;
	gint		x_res;
	gint		y_res;
	gboolean 	auto_print;	/*auto print received faxes*/
	gboolean	convert;
	gchar		*command;
} Print;

gchar 		*fax_dir;		/*Dir where files are*/
gchar 		*bin_dir;		/*Location of rubish bin*/
gchar 		*temp_dir;		/*location of temp dir*/
gchar 		*recvd_dir;		/*Location of Received files*/
gchar 		*home;			/*Users Home Dir **NOT to be FREED or CHANGED**/
gboolean	auto_save_cardfile;
gint 		load_all;		/*Load all files in main window*/
gboolean 	remove_number_warn;	/*Warn before removing fax numbers from clist_fax*/
gboolean 	load_ordered;		/*auto set order of selected files in filelist*/
gboolean 	receive_on;		/*if gefax was shutdown in receive we start receiving on startup*/
gint 		ActiveComponent;
gboolean 	ShortcutsToolbarOn;	/*Short cuts toolbar status*/
gboolean	debug_window;
gint		gefax_e_paned_pos;



/****************************************************
 *
 *	Save all configs
 *
 ****************************************************/
void save_config (void);
void gefax_app_set_contents (GtkWidget *component);



/*end*/





