/*  Copyright Daryl Gray 2000 email daryl.g@visto.com
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
/*******************************************************************
 *
 *	makes a directory in recieve directory and returns the path
 *	the directory will be deleted if the receive or poll was not successful
 *
 *******************************************************************/
gchar
*get_receive_directory				(void);

/*******************************************************************
 *
 *	Removes the directory described above if the receive was not
 *	ok. All files are removed as well. Used to delete a fax too
 *
 *******************************************************************/
void
remove_receive_directory			(gchar		*dir);

/*******************************************************************
 *
 *	Makes the history viewer in the main app, loads everything up etc
 *	the from is used to determine if the file browser is open or 
 *	if we are returning from the viewer
 *
 *******************************************************************/
void
create_hist_viewer				(void);

void
history_load_config				(void);

void
history_save_config				(void);

void
history_destroy_yourself			(void);

/*******************************************************************
 *
 *	After the fax is successfully recieved, saves the information in
 *	the directory for the viewer to read later
 *
 *******************************************************************/
void
save_fax_data_to_directory			(gchar		*dir,
						gint		autoprint,
						gint		polled);

/*end*/





